#ifndef _DATA_TYPES_H_
#define _DATA_TYPES_H_

#include <inttypes.h>

typedef union
{
    uint8_t  asByte[2];
    uint16_t asWord;
    int16_t  asShort;
} data16_t;

typedef union
{
    uint8_t  asByte[4];
    uint16_t asWord[2];
    int16_t  asShort[2];
    uint32_t asULong;
    int32_t  asLong;
} data32_t;

#endif /* _DATA_TYPES_H_ */
